SpyBara
Go Premium

Reference 2026-04-28 06:15 UTC to 2026-04-30 06:13 UTC

76 files changed +3,125 −4,261. View all changes and history on the product overview
2026
Thu 30 06:13 Tue 28 06:15 Thu 23 05:56 Wed 15 05:55 Sat 11 05:41 Sat 4 05:38
Details

Previously: resources/organization/subresources/admin_api_keys/index.md

26 26 

27### Returns27### Returns

28 28 

29- `data: optional array of object { id, created_at, last_used_at, 5 more }`29- `data: optional array of AdminAPIKey`

30 30 

31 - `id: string`31 - `id: string`

32 32 


94 94 

95```http95```http

96curl https://api.openai.com/v1/organization/admin_api_keys \96curl https://api.openai.com/v1/organization/admin_api_keys \

97 -H "Authorization: Bearer $OPENAI_API_KEY"97 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

98```98```

99 99 

100#### Response100#### Response


176 176 

177### Returns177### Returns

178 178 

179- `id: string`179- `AdminAPIKey object { id, created_at, last_used_at, 5 more }`

180 

181 Represents an individual Admin API key in an org.

182 

183 - `id: string`

180 184 

181 The identifier, which can be referenced in API endpoints185 The identifier, which can be referenced in API endpoints

182 186 

183- `created_at: number`187 - `created_at: number`

184 188 

185 The Unix timestamp (in seconds) of when the API key was created189 The Unix timestamp (in seconds) of when the API key was created

186 190 

187- `last_used_at: number`191 - `last_used_at: number`

188 192 

189 The Unix timestamp (in seconds) of when the API key was last used193 The Unix timestamp (in seconds) of when the API key was last used

190 194 

191- `name: string`195 - `name: string`

192 196 

193 The name of the API key197 The name of the API key

194 198 

195- `object: string`199 - `object: string`

196 200 

197 The object type, which is always `organization.admin_api_key`201 The object type, which is always `organization.admin_api_key`

198 202 

199- `owner: object { id, created_at, name, 3 more }`203 - `owner: object { id, created_at, name, 3 more }`

200 204 

201 - `id: optional string`205 - `id: optional string`

202 206 


222 226 

223 Always `user`227 Always `user`

224 228 

225- `redacted_value: string`229 - `redacted_value: string`

226 230 

227 The redacted value of the API key231 The redacted value of the API key

228 232 

229- `value: optional string`233 - `value: optional string`

230 234 

231 The value of the API key. Only shown on create.235 The value of the API key. Only shown on create.

232 236 


235```http239```http

236curl https://api.openai.com/v1/organization/admin_api_keys \240curl https://api.openai.com/v1/organization/admin_api_keys \

237 -H 'Content-Type: application/json' \241 -H 'Content-Type: application/json' \

238 -H "Authorization: Bearer $OPENAI_API_KEY" \242 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

239 -d '{243 -d '{

240 "name": "New Admin Key"244 "name": "New Admin Key"

241 }'245 }'


310 314 

311### Returns315### Returns

312 316 

313- `id: string`317- `AdminAPIKey object { id, created_at, last_used_at, 5 more }`

318 

319 Represents an individual Admin API key in an org.

320 

321 - `id: string`

314 322 

315 The identifier, which can be referenced in API endpoints323 The identifier, which can be referenced in API endpoints

316 324 

317- `created_at: number`325 - `created_at: number`

318 326 

319 The Unix timestamp (in seconds) of when the API key was created327 The Unix timestamp (in seconds) of when the API key was created

320 328 

321- `last_used_at: number`329 - `last_used_at: number`

322 330 

323 The Unix timestamp (in seconds) of when the API key was last used331 The Unix timestamp (in seconds) of when the API key was last used

324 332 

325- `name: string`333 - `name: string`

326 334 

327 The name of the API key335 The name of the API key

328 336 

329- `object: string`337 - `object: string`

330 338 

331 The object type, which is always `organization.admin_api_key`339 The object type, which is always `organization.admin_api_key`

332 340 

333- `owner: object { id, created_at, name, 3 more }`341 - `owner: object { id, created_at, name, 3 more }`

334 342 

335 - `id: optional string`343 - `id: optional string`

336 344 


356 364 

357 Always `user`365 Always `user`

358 366 

359- `redacted_value: string`367 - `redacted_value: string`

360 368 

361 The redacted value of the API key369 The redacted value of the API key

362 370 

363- `value: optional string`371 - `value: optional string`

364 372 

365 The value of the API key. Only shown on create.373 The value of the API key. Only shown on create.

366 374 


368 376 

369```http377```http

370curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \378curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \

371 -H "Authorization: Bearer $OPENAI_API_KEY"379 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

372```380```

373 381 

374#### Response382#### Response


447```http455```http

448curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \456curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \

449 -X DELETE \457 -X DELETE \

450 -H "Authorization: Bearer $OPENAI_API_KEY"458 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

451```459```

452 460 

453#### Response461#### Response


480 488 

481## Domain Types489## Domain Types

482 490 

483### Admin API Key List Response491### Admin API Key

484 

485- `AdminAPIKeyListResponse object { id, created_at, last_used_at, 5 more }`

486 

487 Represents an individual Admin API key in an org.

488 

489 - `id: string`

490 

491 The identifier, which can be referenced in API endpoints

492 

493 - `created_at: number`

494 

495 The Unix timestamp (in seconds) of when the API key was created

496 

497 - `last_used_at: number`

498 

499 The Unix timestamp (in seconds) of when the API key was last used

500 

501 - `name: string`

502 

503 The name of the API key

504 

505 - `object: string`

506 

507 The object type, which is always `organization.admin_api_key`

508 

509 - `owner: object { id, created_at, name, 3 more }`

510 

511 - `id: optional string`

512 

513 The identifier, which can be referenced in API endpoints

514 

515 - `created_at: optional number`

516 

517 The Unix timestamp (in seconds) of when the user was created

518 

519 - `name: optional string`

520 

521 The name of the user

522 

523 - `object: optional string`

524 

525 The object type, which is always organization.user

526 

527 - `role: optional string`

528 

529 Always `owner`

530 

531 - `type: optional string`

532 

533 Always `user`

534 

535 - `redacted_value: string`

536 

537 The redacted value of the API key

538 

539 - `value: optional string`

540 

541 The value of the API key. Only shown on create.

542 

543### Admin API Key Create Response

544 

545- `AdminAPIKeyCreateResponse object { id, created_at, last_used_at, 5 more }`

546 

547 Represents an individual Admin API key in an org.

548 

549 - `id: string`

550 

551 The identifier, which can be referenced in API endpoints

552 

553 - `created_at: number`

554 

555 The Unix timestamp (in seconds) of when the API key was created

556 

557 - `last_used_at: number`

558 

559 The Unix timestamp (in seconds) of when the API key was last used

560 

561 - `name: string`

562 

563 The name of the API key

564 

565 - `object: string`

566 

567 The object type, which is always `organization.admin_api_key`

568 

569 - `owner: object { id, created_at, name, 3 more }`

570 

571 - `id: optional string`

572 

573 The identifier, which can be referenced in API endpoints

574 

575 - `created_at: optional number`

576 

577 The Unix timestamp (in seconds) of when the user was created

578 

579 - `name: optional string`

580 

581 The name of the user

582 

583 - `object: optional string`

584 

585 The object type, which is always organization.user

586 

587 - `role: optional string`

588 

589 Always `owner`

590 

591 - `type: optional string`

592 

593 Always `user`

594 

595 - `redacted_value: string`

596 

597 The redacted value of the API key

598 

599 - `value: optional string`

600 

601 The value of the API key. Only shown on create.

602 

603### Admin API Key Retrieve Response

604 492 

605- `AdminAPIKeyRetrieveResponse object { id, created_at, last_used_at, 5 more }`493- `AdminAPIKey object { id, created_at, last_used_at, 5 more }`

606 494 

607 Represents an individual Admin API key in an org.495 Represents an individual Admin API key in an org.

608 496 

Details

Previously: resources/organization/subresources/admin_api_keys/methods/create/index.md

10 10 

11### Returns11### Returns

12 12 

13- `id: string`13- `AdminAPIKey object { id, created_at, last_used_at, 5 more }`

14 

15 Represents an individual Admin API key in an org.

16 

17 - `id: string`

14 18 

15 The identifier, which can be referenced in API endpoints19 The identifier, which can be referenced in API endpoints

16 20 

17- `created_at: number`21 - `created_at: number`

18 22 

19 The Unix timestamp (in seconds) of when the API key was created23 The Unix timestamp (in seconds) of when the API key was created

20 24 

21- `last_used_at: number`25 - `last_used_at: number`

22 26 

23 The Unix timestamp (in seconds) of when the API key was last used27 The Unix timestamp (in seconds) of when the API key was last used

24 28 

25- `name: string`29 - `name: string`

26 30 

27 The name of the API key31 The name of the API key

28 32 

29- `object: string`33 - `object: string`

30 34 

31 The object type, which is always `organization.admin_api_key`35 The object type, which is always `organization.admin_api_key`

32 36 

33- `owner: object { id, created_at, name, 3 more }`37 - `owner: object { id, created_at, name, 3 more }`

34 38 

35 - `id: optional string`39 - `id: optional string`

36 40 


56 60 

57 Always `user`61 Always `user`

58 62 

59- `redacted_value: string`63 - `redacted_value: string`

60 64 

61 The redacted value of the API key65 The redacted value of the API key

62 66 

63- `value: optional string`67 - `value: optional string`

64 68 

65 The value of the API key. Only shown on create.69 The value of the API key. Only shown on create.

66 70 


69```http73```http

70curl https://api.openai.com/v1/organization/admin_api_keys \74curl https://api.openai.com/v1/organization/admin_api_keys \

71 -H 'Content-Type: application/json' \75 -H 'Content-Type: application/json' \

72 -H "Authorization: Bearer $OPENAI_API_KEY" \76 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

73 -d '{77 -d '{

74 "name": "New Admin Key"78 "name": "New Admin Key"

75 }'79 }'

Details

Previously: resources/organization/subresources/admin_api_keys/methods/delete/index.md

23```http23```http

24curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \24curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \

25 -X DELETE \25 -X DELETE \

26 -H "Authorization: Bearer $OPENAI_API_KEY"26 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

27```27```

28 28 

29#### Response29#### Response

Details

Previously: resources/organization/subresources/admin_api_keys/methods/list/index.md

24 24 

25### Returns25### Returns

26 26 

27- `data: optional array of object { id, created_at, last_used_at, 5 more }`27- `data: optional array of AdminAPIKey`

28 28 

29 - `id: string`29 - `id: string`

30 30 


92 92 

93```http93```http

94curl https://api.openai.com/v1/organization/admin_api_keys \94curl https://api.openai.com/v1/organization/admin_api_keys \

95 -H "Authorization: Bearer $OPENAI_API_KEY"95 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

96```96```

97 97 

98#### Response98#### Response

Details

Previously: resources/organization/subresources/admin_api_keys/methods/retrieve/index.md

12 12 

13### Returns13### Returns

14 14 

15- `id: string`15- `AdminAPIKey object { id, created_at, last_used_at, 5 more }`

16 

17 Represents an individual Admin API key in an org.

18 

19 - `id: string`

16 20 

17 The identifier, which can be referenced in API endpoints21 The identifier, which can be referenced in API endpoints

18 22 

19- `created_at: number`23 - `created_at: number`

20 24 

21 The Unix timestamp (in seconds) of when the API key was created25 The Unix timestamp (in seconds) of when the API key was created

22 26 

23- `last_used_at: number`27 - `last_used_at: number`

24 28 

25 The Unix timestamp (in seconds) of when the API key was last used29 The Unix timestamp (in seconds) of when the API key was last used

26 30 

27- `name: string`31 - `name: string`

28 32 

29 The name of the API key33 The name of the API key

30 34 

31- `object: string`35 - `object: string`

32 36 

33 The object type, which is always `organization.admin_api_key`37 The object type, which is always `organization.admin_api_key`

34 38 

35- `owner: object { id, created_at, name, 3 more }`39 - `owner: object { id, created_at, name, 3 more }`

36 40 

37 - `id: optional string`41 - `id: optional string`

38 42 


58 62 

59 Always `user`63 Always `user`

60 64 

61- `redacted_value: string`65 - `redacted_value: string`

62 66 

63 The redacted value of the API key67 The redacted value of the API key

64 68 

65- `value: optional string`69 - `value: optional string`

66 70 

67 The value of the API key. Only shown on create.71 The value of the API key. Only shown on create.

68 72 


70 74 

71```http75```http

72curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \76curl https://api.openai.com/v1/organization/admin_api_keys/$KEY_ID \

73 -H "Authorization: Bearer $OPENAI_API_KEY"77 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

74```78```

75 79 

76#### Response80#### Response

Details

Previously: resources/organization/subresources/audit_logs/index.md

1066 1066 

1067```http1067```http

1068curl https://api.openai.com/v1/organization/audit_logs \1068curl https://api.openai.com/v1/organization/audit_logs \

1069 -H "Authorization: Bearer $OPENAI_API_KEY"1069 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1070```1070```

1071 1071 

1072#### Response1072#### Response


1446}1446}

1447```1447```

1448 1448 

1449## Costs

1450 

1451**get** `/organization/costs`

1452 

1453Get costs details for the organization.

1454 

1455### Query Parameters

1456 

1457- `start_time: number`

1458 

1459 Start time (Unix seconds) of the query time range, inclusive.

1460 

1461- `bucket_width: optional "1d"`

1462 

1463 Width of each time bucket in response. Currently only `1d` is supported, default to `1d`.

1464 

1465 - `"1d"`

1466 

1467- `end_time: optional number`

1468 

1469 End time (Unix seconds) of the query time range, exclusive.

1470 

1471- `group_by: optional array of "project_id" or "line_item"`

1472 

1473 Group the costs by the specified fields. Support fields include `project_id`, `line_item` and any combination of them.

1474 

1475 - `"project_id"`

1476 

1477 - `"line_item"`

1478 

1479- `limit: optional number`

1480 

1481 A limit on the number of buckets to be returned. Limit can range between 1 and 180, and the default is 7.

1482 

1483- `page: optional string`

1484 

1485 A cursor for use in pagination. Corresponding to the `next_page` field from the previous response.

1486 

1487- `project_ids: optional array of string`

1488 

1489 Return only costs for these projects.

1490 

1491### Returns

1492 

1493- `data: array of object { end_time, object, result, start_time }`

1494 

1495 - `end_time: number`

1496 

1497 - `object: "bucket"`

1498 

1499 - `"bucket"`

1500 

1501 - `result: array of object { input_tokens, num_model_requests, object, 10 more } or object { input_tokens, num_model_requests, object, 4 more } or object { input_tokens, num_model_requests, object, 4 more } or 6 more`

1502 

1503 - `UsageCompletionsResult object { input_tokens, num_model_requests, object, 10 more }`

1504 

1505 The aggregated completions usage details of the specific time bucket.

1506 

1507 - `input_tokens: number`

1508 

1509 The aggregated number of text input tokens used, including cached tokens. For customers subscribe to scale tier, this includes scale tier tokens.

1510 

1511 - `num_model_requests: number`

1512 

1513 The count of requests made to the model.

1514 

1515 - `object: "organization.usage.completions.result"`

1516 

1517 - `"organization.usage.completions.result"`

1518 

1519 - `output_tokens: number`

1520 

1521 The aggregated number of text output tokens used. For customers subscribe to scale tier, this includes scale tier tokens.

1522 

1523 - `api_key_id: optional string`

1524 

1525 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1526 

1527 - `batch: optional boolean`

1528 

1529 When `group_by=batch`, this field tells whether the grouped usage result is batch or not.

1530 

1531 - `input_audio_tokens: optional number`

1532 

1533 The aggregated number of audio input tokens used, including cached tokens.

1534 

1535 - `input_cached_tokens: optional number`

1536 

1537 The aggregated number of text input tokens that has been cached from previous requests. For customers subscribe to scale tier, this includes scale tier tokens.

1538 

1539 - `model: optional string`

1540 

1541 When `group_by=model`, this field provides the model name of the grouped usage result.

1542 

1543 - `output_audio_tokens: optional number`

1544 

1545 The aggregated number of audio output tokens used.

1546 

1547 - `project_id: optional string`

1548 

1549 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1550 

1551 - `service_tier: optional string`

1552 

1553 When `group_by=service_tier`, this field provides the service tier of the grouped usage result.

1554 

1555 - `user_id: optional string`

1556 

1557 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1558 

1559 - `UsageEmbeddingsResult object { input_tokens, num_model_requests, object, 4 more }`

1560 

1561 The aggregated embeddings usage details of the specific time bucket.

1562 

1563 - `input_tokens: number`

1564 

1565 The aggregated number of input tokens used.

1566 

1567 - `num_model_requests: number`

1568 

1569 The count of requests made to the model.

1570 

1571 - `object: "organization.usage.embeddings.result"`

1572 

1573 - `"organization.usage.embeddings.result"`

1574 

1575 - `api_key_id: optional string`

1576 

1577 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1578 

1579 - `model: optional string`

1580 

1581 When `group_by=model`, this field provides the model name of the grouped usage result.

1582 

1583 - `project_id: optional string`

1584 

1585 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1586 

1587 - `user_id: optional string`

1588 

1589 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1590 

1591 - `UsageModerationsResult object { input_tokens, num_model_requests, object, 4 more }`

1592 

1593 The aggregated moderations usage details of the specific time bucket.

1594 

1595 - `input_tokens: number`

1596 

1597 The aggregated number of input tokens used.

1598 

1599 - `num_model_requests: number`

1600 

1601 The count of requests made to the model.

1602 

1603 - `object: "organization.usage.moderations.result"`

1604 

1605 - `"organization.usage.moderations.result"`

1606 

1607 - `api_key_id: optional string`

1608 

1609 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1610 

1611 - `model: optional string`

1612 

1613 When `group_by=model`, this field provides the model name of the grouped usage result.

1614 

1615 - `project_id: optional string`

1616 

1617 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1618 

1619 - `user_id: optional string`

1620 

1621 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1622 

1623 - `UsageImagesResult object { images, num_model_requests, object, 6 more }`

1624 

1625 The aggregated images usage details of the specific time bucket.

1626 

1627 - `images: number`

1628 

1629 The number of images processed.

1630 

1631 - `num_model_requests: number`

1632 

1633 The count of requests made to the model.

1634 

1635 - `object: "organization.usage.images.result"`

1636 

1637 - `"organization.usage.images.result"`

1638 

1639 - `api_key_id: optional string`

1640 

1641 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1642 

1643 - `model: optional string`

1644 

1645 When `group_by=model`, this field provides the model name of the grouped usage result.

1646 

1647 - `project_id: optional string`

1648 

1649 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1650 

1651 - `size: optional string`

1652 

1653 When `group_by=size`, this field provides the image size of the grouped usage result.

1654 

1655 - `source: optional string`

1656 

1657 When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`.

1658 

1659 - `user_id: optional string`

1660 

1661 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1662 

1663 - `UsageAudioSpeechesResult object { characters, num_model_requests, object, 4 more }`

1664 

1665 The aggregated audio speeches usage details of the specific time bucket.

1666 

1667 - `characters: number`

1668 

1669 The number of characters processed.

1670 

1671 - `num_model_requests: number`

1672 

1673 The count of requests made to the model.

1674 

1675 - `object: "organization.usage.audio_speeches.result"`

1676 

1677 - `"organization.usage.audio_speeches.result"`

1678 

1679 - `api_key_id: optional string`

1680 

1681 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1682 

1683 - `model: optional string`

1684 

1685 When `group_by=model`, this field provides the model name of the grouped usage result.

1686 

1687 - `project_id: optional string`

1688 

1689 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1690 

1691 - `user_id: optional string`

1692 

1693 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1694 

1695 - `UsageAudioTranscriptionsResult object { num_model_requests, object, seconds, 4 more }`

1696 

1697 The aggregated audio transcriptions usage details of the specific time bucket.

1698 

1699 - `num_model_requests: number`

1700 

1701 The count of requests made to the model.

1702 

1703 - `object: "organization.usage.audio_transcriptions.result"`

1704 

1705 - `"organization.usage.audio_transcriptions.result"`

1706 

1707 - `seconds: number`

1708 

1709 The number of seconds processed.

1710 

1711 - `api_key_id: optional string`

1712 

1713 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

1714 

1715 - `model: optional string`

1716 

1717 When `group_by=model`, this field provides the model name of the grouped usage result.

1718 

1719 - `project_id: optional string`

1720 

1721 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1722 

1723 - `user_id: optional string`

1724 

1725 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

1726 

1727 - `UsageVectorStoresResult object { object, usage_bytes, project_id }`

1728 

1729 The aggregated vector stores usage details of the specific time bucket.

1730 

1731 - `object: "organization.usage.vector_stores.result"`

1732 

1733 - `"organization.usage.vector_stores.result"`

1734 

1735 - `usage_bytes: number`

1736 

1737 The vector stores usage in bytes.

1738 

1739 - `project_id: optional string`

1740 

1741 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1742 

1743 - `UsageCodeInterpreterSessionsResult object { object, num_sessions, project_id }`

1744 

1745 The aggregated code interpreter sessions usage details of the specific time bucket.

1746 

1747 - `object: "organization.usage.code_interpreter_sessions.result"`

1748 

1749 - `"organization.usage.code_interpreter_sessions.result"`

1750 

1751 - `num_sessions: optional number`

1752 

1753 The number of code interpreter sessions.

1754 

1755 - `project_id: optional string`

1756 

1757 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

1758 

1759 - `CostsResult object { object, amount, line_item, project_id }`

1760 

1761 The aggregated costs details of the specific time bucket.

1762 

1763 - `object: "organization.costs.result"`

1764 

1765 - `"organization.costs.result"`

1766 

1767 - `amount: optional object { currency, value }`

1768 

1769 The monetary value in its associated currency.

1770 

1771 - `currency: optional string`

1772 

1773 Lowercase ISO-4217 currency e.g. "usd"

1774 

1775 - `value: optional number`

1776 

1777 The numeric value of the cost.

1778 

1779 - `line_item: optional string`

1780 

1781 When `group_by=line_item`, this field provides the line item of the grouped costs result.

1782 

1783 - `project_id: optional string`

1784 

1785 When `group_by=project_id`, this field provides the project ID of the grouped costs result.

1786 

1787 - `start_time: number`

1788 

1789- `has_more: boolean`

1790 

1791- `next_page: string`

1792 

1793- `object: "page"`

1794 

1795 - `"page"`

1796 

1797### Example

1798 

1799```http

1800curl https://api.openai.com/v1/organization/costs \

1801 -H "Authorization: Bearer $OPENAI_API_KEY"

1802```

1803 

1804#### Response

1805 

1806```json

1807{

1808 "data": [

1809 {

1810 "end_time": 0,

1811 "object": "bucket",

1812 "result": [

1813 {

1814 "input_tokens": 0,

1815 "num_model_requests": 0,

1816 "object": "organization.usage.completions.result",

1817 "output_tokens": 0,

1818 "api_key_id": "api_key_id",

1819 "batch": true,

1820 "input_audio_tokens": 0,

1821 "input_cached_tokens": 0,

1822 "model": "model",

1823 "output_audio_tokens": 0,

1824 "project_id": "project_id",

1825 "service_tier": "service_tier",

1826 "user_id": "user_id"

1827 }

1828 ],

1829 "start_time": 0

1830 }

1831 ],

1832 "has_more": true,

1833 "next_page": "next_page",

1834 "object": "page"

1835}

1836```

1837 

1838### Example

1839 

1840```http

1841curl "https://api.openai.com/v1/organization/costs?start_time=1730419200&limit=1" \

1842-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

1843-H "Content-Type: application/json"

1844```

1845 

1846#### Response

1847 

1848```json

1849{

1850 "object": "page",

1851 "data": [

1852 {

1853 "object": "bucket",

1854 "start_time": 1730419200,

1855 "end_time": 1730505600,

1856 "results": [

1857 {

1858 "object": "organization.costs.result",

1859 "amount": {

1860 "value": 0.06,

1861 "currency": "usd"

1862 },

1863 "line_item": null,

1864 "project_id": null

1865 }

1866 ]

1867 }

1868 ],

1869 "has_more": false,

1870 "next_page": null

1871}

1872```

1873 

1874## Domain Types1449## Domain Types

1875 1450 

1876### Audit Log List Response1451### Audit Log List Response


2764 - `role: optional string`2339 - `role: optional string`

2765 2340 

2766 The role of the user. Is either `owner` or `member`.2341 The role of the user. Is either `owner` or `member`.

2767 

2768### Audit Log Get Costs Response

2769 

2770- `AuditLogGetCostsResponse object { data, has_more, next_page, object }`

2771 

2772 - `data: array of object { end_time, object, result, start_time }`

2773 

2774 - `end_time: number`

2775 

2776 - `object: "bucket"`

2777 

2778 - `"bucket"`

2779 

2780 - `result: array of object { input_tokens, num_model_requests, object, 10 more } or object { input_tokens, num_model_requests, object, 4 more } or object { input_tokens, num_model_requests, object, 4 more } or 6 more`

2781 

2782 - `UsageCompletionsResult object { input_tokens, num_model_requests, object, 10 more }`

2783 

2784 The aggregated completions usage details of the specific time bucket.

2785 

2786 - `input_tokens: number`

2787 

2788 The aggregated number of text input tokens used, including cached tokens. For customers subscribe to scale tier, this includes scale tier tokens.

2789 

2790 - `num_model_requests: number`

2791 

2792 The count of requests made to the model.

2793 

2794 - `object: "organization.usage.completions.result"`

2795 

2796 - `"organization.usage.completions.result"`

2797 

2798 - `output_tokens: number`

2799 

2800 The aggregated number of text output tokens used. For customers subscribe to scale tier, this includes scale tier tokens.

2801 

2802 - `api_key_id: optional string`

2803 

2804 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2805 

2806 - `batch: optional boolean`

2807 

2808 When `group_by=batch`, this field tells whether the grouped usage result is batch or not.

2809 

2810 - `input_audio_tokens: optional number`

2811 

2812 The aggregated number of audio input tokens used, including cached tokens.

2813 

2814 - `input_cached_tokens: optional number`

2815 

2816 The aggregated number of text input tokens that has been cached from previous requests. For customers subscribe to scale tier, this includes scale tier tokens.

2817 

2818 - `model: optional string`

2819 

2820 When `group_by=model`, this field provides the model name of the grouped usage result.

2821 

2822 - `output_audio_tokens: optional number`

2823 

2824 The aggregated number of audio output tokens used.

2825 

2826 - `project_id: optional string`

2827 

2828 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

2829 

2830 - `service_tier: optional string`

2831 

2832 When `group_by=service_tier`, this field provides the service tier of the grouped usage result.

2833 

2834 - `user_id: optional string`

2835 

2836 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

2837 

2838 - `UsageEmbeddingsResult object { input_tokens, num_model_requests, object, 4 more }`

2839 

2840 The aggregated embeddings usage details of the specific time bucket.

2841 

2842 - `input_tokens: number`

2843 

2844 The aggregated number of input tokens used.

2845 

2846 - `num_model_requests: number`

2847 

2848 The count of requests made to the model.

2849 

2850 - `object: "organization.usage.embeddings.result"`

2851 

2852 - `"organization.usage.embeddings.result"`

2853 

2854 - `api_key_id: optional string`

2855 

2856 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2857 

2858 - `model: optional string`

2859 

2860 When `group_by=model`, this field provides the model name of the grouped usage result.

2861 

2862 - `project_id: optional string`

2863 

2864 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

2865 

2866 - `user_id: optional string`

2867 

2868 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

2869 

2870 - `UsageModerationsResult object { input_tokens, num_model_requests, object, 4 more }`

2871 

2872 The aggregated moderations usage details of the specific time bucket.

2873 

2874 - `input_tokens: number`

2875 

2876 The aggregated number of input tokens used.

2877 

2878 - `num_model_requests: number`

2879 

2880 The count of requests made to the model.

2881 

2882 - `object: "organization.usage.moderations.result"`

2883 

2884 - `"organization.usage.moderations.result"`

2885 

2886 - `api_key_id: optional string`

2887 

2888 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2889 

2890 - `model: optional string`

2891 

2892 When `group_by=model`, this field provides the model name of the grouped usage result.

2893 

2894 - `project_id: optional string`

2895 

2896 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

2897 

2898 - `user_id: optional string`

2899 

2900 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

2901 

2902 - `UsageImagesResult object { images, num_model_requests, object, 6 more }`

2903 

2904 The aggregated images usage details of the specific time bucket.

2905 

2906 - `images: number`

2907 

2908 The number of images processed.

2909 

2910 - `num_model_requests: number`

2911 

2912 The count of requests made to the model.

2913 

2914 - `object: "organization.usage.images.result"`

2915 

2916 - `"organization.usage.images.result"`

2917 

2918 - `api_key_id: optional string`

2919 

2920 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2921 

2922 - `model: optional string`

2923 

2924 When `group_by=model`, this field provides the model name of the grouped usage result.

2925 

2926 - `project_id: optional string`

2927 

2928 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

2929 

2930 - `size: optional string`

2931 

2932 When `group_by=size`, this field provides the image size of the grouped usage result.

2933 

2934 - `source: optional string`

2935 

2936 When `group_by=source`, this field provides the source of the grouped usage result, possible values are `image.generation`, `image.edit`, `image.variation`.

2937 

2938 - `user_id: optional string`

2939 

2940 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

2941 

2942 - `UsageAudioSpeechesResult object { characters, num_model_requests, object, 4 more }`

2943 

2944 The aggregated audio speeches usage details of the specific time bucket.

2945 

2946 - `characters: number`

2947 

2948 The number of characters processed.

2949 

2950 - `num_model_requests: number`

2951 

2952 The count of requests made to the model.

2953 

2954 - `object: "organization.usage.audio_speeches.result"`

2955 

2956 - `"organization.usage.audio_speeches.result"`

2957 

2958 - `api_key_id: optional string`

2959 

2960 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2961 

2962 - `model: optional string`

2963 

2964 When `group_by=model`, this field provides the model name of the grouped usage result.

2965 

2966 - `project_id: optional string`

2967 

2968 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

2969 

2970 - `user_id: optional string`

2971 

2972 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

2973 

2974 - `UsageAudioTranscriptionsResult object { num_model_requests, object, seconds, 4 more }`

2975 

2976 The aggregated audio transcriptions usage details of the specific time bucket.

2977 

2978 - `num_model_requests: number`

2979 

2980 The count of requests made to the model.

2981 

2982 - `object: "organization.usage.audio_transcriptions.result"`

2983 

2984 - `"organization.usage.audio_transcriptions.result"`

2985 

2986 - `seconds: number`

2987 

2988 The number of seconds processed.

2989 

2990 - `api_key_id: optional string`

2991 

2992 When `group_by=api_key_id`, this field provides the API key ID of the grouped usage result.

2993 

2994 - `model: optional string`

2995 

2996 When `group_by=model`, this field provides the model name of the grouped usage result.

2997 

2998 - `project_id: optional string`

2999 

3000 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

3001 

3002 - `user_id: optional string`

3003 

3004 When `group_by=user_id`, this field provides the user ID of the grouped usage result.

3005 

3006 - `UsageVectorStoresResult object { object, usage_bytes, project_id }`

3007 

3008 The aggregated vector stores usage details of the specific time bucket.

3009 

3010 - `object: "organization.usage.vector_stores.result"`

3011 

3012 - `"organization.usage.vector_stores.result"`

3013 

3014 - `usage_bytes: number`

3015 

3016 The vector stores usage in bytes.

3017 

3018 - `project_id: optional string`

3019 

3020 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

3021 

3022 - `UsageCodeInterpreterSessionsResult object { object, num_sessions, project_id }`

3023 

3024 The aggregated code interpreter sessions usage details of the specific time bucket.

3025 

3026 - `object: "organization.usage.code_interpreter_sessions.result"`

3027 

3028 - `"organization.usage.code_interpreter_sessions.result"`

3029 

3030 - `num_sessions: optional number`

3031 

3032 The number of code interpreter sessions.

3033 

3034 - `project_id: optional string`

3035 

3036 When `group_by=project_id`, this field provides the project ID of the grouped usage result.

3037 

3038 - `CostsResult object { object, amount, line_item, project_id }`

3039 

3040 The aggregated costs details of the specific time bucket.

3041 

3042 - `object: "organization.costs.result"`

3043 

3044 - `"organization.costs.result"`

3045 

3046 - `amount: optional object { currency, value }`

3047 

3048 The monetary value in its associated currency.

3049 

3050 - `currency: optional string`

3051 

3052 Lowercase ISO-4217 currency e.g. "usd"

3053 

3054 - `value: optional number`

3055 

3056 The numeric value of the cost.

3057 

3058 - `line_item: optional string`

3059 

3060 When `group_by=line_item`, this field provides the line item of the grouped costs result.

3061 

3062 - `project_id: optional string`

3063 

3064 When `group_by=project_id`, this field provides the project ID of the grouped costs result.

3065 

3066 - `start_time: number`

3067 

3068 - `has_more: boolean`

3069 

3070 - `next_page: string`

3071 

3072 - `object: "page"`

3073 

3074 - `"page"`

Details

Previously: resources/organization/subresources/audit_logs/methods/list/index.md

1064 1064 

1065```http1065```http

1066curl https://api.openai.com/v1/organization/audit_logs \1066curl https://api.openai.com/v1/organization/audit_logs \

1067 -H "Authorization: Bearer $OPENAI_API_KEY"1067 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1068```1068```

1069 1069 

1070#### Response1070#### Response

Details

Previously: resources/organization/subresources/groups/index.md

26 26 

27### Returns27### Returns

28 28 

29- `data: array of object { id, created_at, is_scim_managed, name }`29- `data: array of Group`

30 30 

31 Groups returned in the current page.31 Groups returned in the current page.

32 32 


64 64 

65```http65```http

66curl https://api.openai.com/v1/organization/groups \66curl https://api.openai.com/v1/organization/groups \

67 -H "Authorization: Bearer $OPENAI_API_KEY"67 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

68```68```

69 69 

70#### Response70#### Response


126 126 

127### Returns127### Returns

128 128 

129- `id: string`129- `Group object { id, created_at, is_scim_managed, name }`

130 

131 Details about an organization group.

132 

133 - `id: string`

130 134 

131 Identifier for the group.135 Identifier for the group.

132 136 

133- `created_at: number`137 - `created_at: number`

134 138 

135 Unix timestamp (in seconds) when the group was created.139 Unix timestamp (in seconds) when the group was created.

136 140 

137- `is_scim_managed: boolean`141 - `is_scim_managed: boolean`

138 142 

139 Whether the group is managed through SCIM and controlled by your identity provider.143 Whether the group is managed through SCIM and controlled by your identity provider.

140 144 

141- `name: string`145 - `name: string`

142 146 

143 Display name of the group.147 Display name of the group.

144 148 


147```http151```http

148curl https://api.openai.com/v1/organization/groups \152curl https://api.openai.com/v1/organization/groups \

149 -H 'Content-Type: application/json' \153 -H 'Content-Type: application/json' \

150 -H "Authorization: Bearer $OPENAI_API_KEY" \154 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

151 -d '{155 -d '{

152 "name": "x"156 "name": "x"

153 }'157 }'


226```http230```http

227curl https://api.openai.com/v1/organization/groups/$GROUP_ID \231curl https://api.openai.com/v1/organization/groups/$GROUP_ID \

228 -H 'Content-Type: application/json' \232 -H 'Content-Type: application/json' \

229 -H "Authorization: Bearer $OPENAI_API_KEY" \233 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

230 -d '{234 -d '{

231 "name": "x"235 "name": "x"

232 }'236 }'


296```http300```http

297curl https://api.openai.com/v1/organization/groups/$GROUP_ID \301curl https://api.openai.com/v1/organization/groups/$GROUP_ID \

298 -X DELETE \302 -X DELETE \

299 -H "Authorization: Bearer $OPENAI_API_KEY"303 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

300```304```

301 305 

302#### Response306#### Response


329 333 

330## Domain Types334## Domain Types

331 335 

332### Group List Response336### Group

333 337 

334- `GroupListResponse object { id, created_at, is_scim_managed, name }`338- `Group object { id, created_at, is_scim_managed, name }`

335 

336 Details about an organization group.

337 

338 - `id: string`

339 

340 Identifier for the group.

341 

342 - `created_at: number`

343 

344 Unix timestamp (in seconds) when the group was created.

345 

346 - `is_scim_managed: boolean`

347 

348 Whether the group is managed through SCIM and controlled by your identity provider.

349 

350 - `name: string`

351 

352 Display name of the group.

353 

354### Group Create Response

355 

356- `GroupCreateResponse object { id, created_at, is_scim_managed, name }`

357 339 

358 Details about an organization group.340 Details about an organization group.

359 341 


447 429 

448### Returns430### Returns

449 431 

450- `data: array of User`432- `data: array of OrganizationUser`

451 433 

452 Users in the current page.434 Users in the current page.

453 435 


499 481 

500```http482```http

501curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \483curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

502 -H "Authorization: Bearer $OPENAI_API_KEY"484 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

503```485```

504 486 

505#### Response487#### Response


587```http569```http

588curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \570curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

589 -H 'Content-Type: application/json' \571 -H 'Content-Type: application/json' \

590 -H "Authorization: Bearer $OPENAI_API_KEY" \572 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

591 -d '{573 -d '{

592 "user_id": "user_id"574 "user_id": "user_id"

593 }'575 }'


653```http635```http

654curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \636curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \

655 -X DELETE \637 -X DELETE \

656 -H "Authorization: Bearer $OPENAI_API_KEY"638 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

657```639```

658 640 

659#### Response641#### Response


818 800 

819```http801```http

820curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles \802curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles \

821 -H "Authorization: Bearer $OPENAI_API_KEY"803 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

822```804```

823 805 

824#### Response806#### Response


942 924 

943 - `"group.role"`925 - `"group.role"`

944 926 

945- `role: object { id, description, name, 4 more }`927- `role: Role`

946 928 

947 Details about a role that can be assigned through the public Roles API.929 Details about a role that can be assigned through the public Roles API.

948 930 


981```http963```http

982curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles \964curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles \

983 -H 'Content-Type: application/json' \965 -H 'Content-Type: application/json' \

984 -H "Authorization: Bearer $OPENAI_API_KEY" \966 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

985 -d '{967 -d '{

986 "role_id": "role_id"968 "role_id": "role_id"

987 }'969 }'


1078```http1060```http

1079curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles/$ROLE_ID \1061curl https://api.openai.com/v1/organization/groups/$GROUP_ID/roles/$ROLE_ID \

1080 -X DELETE \1062 -X DELETE \

1081 -H "Authorization: Bearer $OPENAI_API_KEY"1063 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1082```1064```

1083 1065 

1084#### Response1066#### Response


1197 1179 

1198 - `"group.role"`1180 - `"group.role"`

1199 1181 

1200 - `role: object { id, description, name, 4 more }`1182 - `role: Role`

1201 1183 

1202 Details about a role that can be assigned through the public Roles API.1184 Details about a role that can be assigned through the public Roles API.

1203 1185 

Details

Previously: resources/organization/subresources/groups/methods/create/index.md

12 12 

13### Returns13### Returns

14 14 

15- `id: string`15- `Group object { id, created_at, is_scim_managed, name }`

16 

17 Details about an organization group.

18 

19 - `id: string`

16 20 

17 Identifier for the group.21 Identifier for the group.

18 22 

19- `created_at: number`23 - `created_at: number`

20 24 

21 Unix timestamp (in seconds) when the group was created.25 Unix timestamp (in seconds) when the group was created.

22 26 

23- `is_scim_managed: boolean`27 - `is_scim_managed: boolean`

24 28 

25 Whether the group is managed through SCIM and controlled by your identity provider.29 Whether the group is managed through SCIM and controlled by your identity provider.

26 30 

27- `name: string`31 - `name: string`

28 32 

29 Display name of the group.33 Display name of the group.

30 34 


33```http37```http

34curl https://api.openai.com/v1/organization/groups \38curl https://api.openai.com/v1/organization/groups \

35 -H 'Content-Type: application/json' \39 -H 'Content-Type: application/json' \

36 -H "Authorization: Bearer $OPENAI_API_KEY" \40 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

37 -d '{41 -d '{

38 "name": "x"42 "name": "x"

39 }'43 }'

Details

Previously: resources/organization/subresources/groups/methods/delete/index.md

29```http29```http

30curl https://api.openai.com/v1/organization/groups/$GROUP_ID \30curl https://api.openai.com/v1/organization/groups/$GROUP_ID \

31 -X DELETE \31 -X DELETE \

32 -H "Authorization: Bearer $OPENAI_API_KEY"32 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

33```33```

34 34 

35#### Response35#### Response

Details

Previously: resources/organization/subresources/groups/methods/list/index.md

24 24 

25### Returns25### Returns

26 26 

27- `data: array of object { id, created_at, is_scim_managed, name }`27- `data: array of Group`

28 28 

29 Groups returned in the current page.29 Groups returned in the current page.

30 30 


62 62 

63```http63```http

64curl https://api.openai.com/v1/organization/groups \64curl https://api.openai.com/v1/organization/groups \

65 -H "Authorization: Bearer $OPENAI_API_KEY"65 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

66```66```

67 67 

68#### Response68#### Response

Details

Previously: resources/organization/subresources/groups/methods/update/index.md

37```http37```http

38curl https://api.openai.com/v1/organization/groups/$GROUP_ID \38curl https://api.openai.com/v1/organization/groups/$GROUP_ID \

39 -H 'Content-Type: application/json' \39 -H 'Content-Type: application/json' \

40 -H "Authorization: Bearer $OPENAI_API_KEY" \40 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

41 -d '{41 -d '{

42 "name": "x"42 "name": "x"

43 }'43 }'

Details

Previously: resources/organization/subresources/groups/subresources/users/index.md

30 30 

31### Returns31### Returns

32 32 

33- `data: array of User`33- `data: array of OrganizationUser`

34 34 

35 Users in the current page.35 Users in the current page.

36 36 


82 82 

83```http83```http

84curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \84curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

85 -H "Authorization: Bearer $OPENAI_API_KEY"85 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

86```86```

87 87 

88#### Response88#### Response


170```http170```http

171curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \171curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

172 -H 'Content-Type: application/json' \172 -H 'Content-Type: application/json' \

173 -H "Authorization: Bearer $OPENAI_API_KEY" \173 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

174 -d '{174 -d '{

175 "user_id": "user_id"175 "user_id": "user_id"

176 }'176 }'


236```http236```http

237curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \237curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \

238 -X DELETE \238 -X DELETE \

239 -H "Authorization: Bearer $OPENAI_API_KEY"239 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

240```240```

241 241 

242#### Response242#### Response

Details

Previously: resources/organization/subresources/groups/subresources/users/methods/create/index.md

35```http35```http

36curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \36curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

37 -H 'Content-Type: application/json' \37 -H 'Content-Type: application/json' \

38 -H "Authorization: Bearer $OPENAI_API_KEY" \38 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

39 -d '{39 -d '{

40 "user_id": "user_id"40 "user_id": "user_id"

41 }'41 }'

Details

Previously: resources/organization/subresources/groups/subresources/users/methods/delete/index.md

27```http27```http

28curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \28curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users/$USER_ID \

29 -X DELETE \29 -X DELETE \

30 -H "Authorization: Bearer $OPENAI_API_KEY"30 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

31```31```

32 32 

33#### Response33#### Response

Details

Previously: resources/organization/subresources/groups/subresources/users/methods/list/index.md

28 28 

29### Returns29### Returns

30 30 

31- `data: array of User`31- `data: array of OrganizationUser`

32 32 

33 Users in the current page.33 Users in the current page.

34 34 


80 80 

81```http81```http

82curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \82curl https://api.openai.com/v1/organization/groups/$GROUP_ID/users \

83 -H "Authorization: Bearer $OPENAI_API_KEY"83 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

84```84```

85 85 

86#### Response86#### Response

Details

Previously: resources/organization/subresources/invites/index.md

102 102 

103```http103```http

104curl https://api.openai.com/v1/organization/invites \104curl https://api.openai.com/v1/organization/invites \

105 -H "Authorization: Bearer $OPENAI_API_KEY"105 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

106```106```

107 107 

108#### Response108#### Response


272```http272```http

273curl https://api.openai.com/v1/organization/invites \273curl https://api.openai.com/v1/organization/invites \

274 -H 'Content-Type: application/json' \274 -H 'Content-Type: application/json' \

275 -H "Authorization: Bearer $OPENAI_API_KEY" \275 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

276 -d '{276 -d '{

277 "email": "email",277 "email": "email",

278 "role": "reader"278 "role": "reader"


427 427 

428```http428```http

429curl https://api.openai.com/v1/organization/invites/$INVITE_ID \429curl https://api.openai.com/v1/organization/invites/$INVITE_ID \

430 -H "Authorization: Bearer $OPENAI_API_KEY"430 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

431```431```

432 432 

433#### Response433#### Response


501```http501```http

502curl https://api.openai.com/v1/organization/invites/$INVITE_ID \502curl https://api.openai.com/v1/organization/invites/$INVITE_ID \

503 -X DELETE \503 -X DELETE \

504 -H "Authorization: Bearer $OPENAI_API_KEY"504 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

505```505```

506 506 

507#### Response507#### Response

Details

Previously: resources/organization/subresources/invites/methods/create/index.md

105```http105```http

106curl https://api.openai.com/v1/organization/invites \106curl https://api.openai.com/v1/organization/invites \

107 -H 'Content-Type: application/json' \107 -H 'Content-Type: application/json' \

108 -H "Authorization: Bearer $OPENAI_API_KEY" \108 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

109 -d '{109 -d '{

110 "email": "email",110 "email": "email",

111 "role": "reader"111 "role": "reader"

Details

Previously: resources/organization/subresources/invites/methods/delete/index.md

25```http25```http

26curl https://api.openai.com/v1/organization/invites/$INVITE_ID \26curl https://api.openai.com/v1/organization/invites/$INVITE_ID \

27 -X DELETE \27 -X DELETE \

28 -H "Authorization: Bearer $OPENAI_API_KEY"28 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

29```29```

30 30 

31#### Response31#### Response

Details

Previously: resources/organization/subresources/invites/methods/list/index.md

100 100 

101```http101```http

102curl https://api.openai.com/v1/organization/invites \102curl https://api.openai.com/v1/organization/invites \

103 -H "Authorization: Bearer $OPENAI_API_KEY"103 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

104```104```

105 105 

106#### Response106#### Response

Details

Previously: resources/organization/subresources/invites/methods/retrieve/index.md

78 78 

79```http79```http

80curl https://api.openai.com/v1/organization/invites/$INVITE_ID \80curl https://api.openai.com/v1/organization/invites/$INVITE_ID \

81 -H "Authorization: Bearer $OPENAI_API_KEY"81 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

82```82```

83 83 

84#### Response84#### Response

Details

Previously: resources/organization/subresources/projects/index.md

68 68 

69```http69```http

70curl https://api.openai.com/v1/organization/projects \70curl https://api.openai.com/v1/organization/projects \

71 -H "Authorization: Bearer $OPENAI_API_KEY"71 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

72```72```

73 73 

74#### Response74#### Response


194```http194```http

195curl https://api.openai.com/v1/organization/projects \195curl https://api.openai.com/v1/organization/projects \

196 -H 'Content-Type: application/json' \196 -H 'Content-Type: application/json' \

197 -H "Authorization: Bearer $OPENAI_API_KEY" \197 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

198 -d '{198 -d '{

199 "name": "name"199 "name": "name"

200 }'200 }'


287 287 

288```http288```http

289curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \289curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \

290 -H "Authorization: Bearer $OPENAI_API_KEY"290 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

291```291```

292 292 

293#### Response293#### Response


381```http381```http

382curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \382curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \

383 -H 'Content-Type: application/json' \383 -H 'Content-Type: application/json' \

384 -H "Authorization: Bearer $OPENAI_API_KEY" \384 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

385 -d '{385 -d '{

386 "name": "name"386 "name": "name"

387 }'387 }'


462```http462```http

463curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/archive \463curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/archive \

464 -X POST \464 -X POST \

465 -H "Authorization: Bearer $OPENAI_API_KEY"465 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

466```466```

467 467 

468#### Response468#### Response


605 605 

606```http606```http

607curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users \607curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users \

608 -H "Authorization: Bearer $OPENAI_API_KEY"608 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

609```609```

610 610 

611#### Response611#### Response


723```http723```http

724curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users \724curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users \

725 -H 'Content-Type: application/json' \725 -H 'Content-Type: application/json' \

726 -H "Authorization: Bearer $OPENAI_API_KEY" \726 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

727 -d '{727 -d '{

728 "role": "owner",728 "role": "owner",

729 "user_id": "user_id"729 "user_id": "user_id"


819 819 

820```http820```http

821curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \821curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \

822 -H "Authorization: Bearer $OPENAI_API_KEY"822 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

823```823```

824 824 

825#### Response825#### Response


919```http919```http

920curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \920curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \

921 -H 'Content-Type: application/json' \921 -H 'Content-Type: application/json' \

922 -H "Authorization: Bearer $OPENAI_API_KEY" \922 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

923 -d '{923 -d '{

924 "role": "owner"924 "role": "owner"

925 }'925 }'


992```http992```http

993curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \993curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/users/$USER_ID \

994 -X DELETE \994 -X DELETE \

995 -H "Authorization: Bearer $OPENAI_API_KEY"995 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

996```996```

997 997 

998#### Response998#### Response


1173 1173 

1174```http1174```http

1175curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles \1175curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles \

1176 -H "Authorization: Bearer $OPENAI_API_KEY"1176 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1177```1177```

1178 1178 

1179#### Response1179#### Response


1273 1273 

1274 - `"user.role"`1274 - `"user.role"`

1275 1275 

1276- `role: object { id, description, name, 4 more }`1276- `role: Role`

1277 1277 

1278 Details about a role that can be assigned through the public Roles API.1278 Details about a role that can be assigned through the public Roles API.

1279 1279 


1307 1307 

1308 Resource type the role is bound to (for example `api.organization` or `api.project`).1308 Resource type the role is bound to (for example `api.organization` or `api.project`).

1309 1309 

1310- `user: User`1310- `user: OrganizationUser`

1311 1311 

1312 Represents an individual `user` within an organization.1312 Represents an individual `user` within an organization.

1313 1313 


1346```http1346```http

1347curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles \1347curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles \

1348 -H 'Content-Type: application/json' \1348 -H 'Content-Type: application/json' \

1349 -H "Authorization: Bearer $OPENAI_API_KEY" \1349 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

1350 -d '{1350 -d '{

1351 "role_id": "role_id"1351 "role_id": "role_id"

1352 }'1352 }'


1447```http1447```http

1448curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles/$ROLE_ID \1448curl https://api.openai.com/v1/projects/$PROJECT_ID/users/$USER_ID/roles/$ROLE_ID \

1449 -X DELETE \1449 -X DELETE \

1450 -H "Authorization: Bearer $OPENAI_API_KEY"1450 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1451```1451```

1452 1452 

1453#### Response1453#### Response


1540 1540 

1541 - `"user.role"`1541 - `"user.role"`

1542 1542 

1543 - `role: object { id, description, name, 4 more }`1543 - `role: Role`

1544 1544 

1545 Details about a role that can be assigned through the public Roles API.1545 Details about a role that can be assigned through the public Roles API.

1546 1546 


1574 1574 

1575 Resource type the role is bound to (for example `api.organization` or `api.project`).1575 Resource type the role is bound to (for example `api.organization` or `api.project`).

1576 1576 

1577 - `user: User`1577 - `user: OrganizationUser`

1578 1578 

1579 Represents an individual `user` within an organization.1579 Represents an individual `user` within an organization.

1580 1580 


1688 1688 

1689```http1689```http

1690curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts \1690curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts \

1691 -H "Authorization: Bearer $OPENAI_API_KEY"1691 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1692```1692```

1693 1693 

1694#### Response1694#### Response


1794```http1794```http

1795curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts \1795curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts \

1796 -H 'Content-Type: application/json' \1796 -H 'Content-Type: application/json' \

1797 -H "Authorization: Bearer $OPENAI_API_KEY" \1797 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

1798 -d '{1798 -d '{

1799 "name": "name"1799 "name": "name"

1800 }'1800 }'


1897 1897 

1898```http1898```http

1899curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts/$SERVICE_ACCOUNT_ID \1899curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts/$SERVICE_ACCOUNT_ID \

1900 -H "Authorization: Bearer $OPENAI_API_KEY"1900 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1901```1901```

1902 1902 

1903#### Response1903#### Response


1962```http1962```http

1963curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts/$SERVICE_ACCOUNT_ID \1963curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/service_accounts/$SERVICE_ACCOUNT_ID \

1964 -X DELETE \1964 -X DELETE \

1965 -H "Authorization: Bearer $OPENAI_API_KEY"1965 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

1966```1966```

1967 1967 

1968#### Response1968#### Response


2099 2099 

2100### Returns2100### Returns

2101 2101 

2102- `data: array of ProjectAPIEy`2102- `data: array of ProjectAPIKey`

2103 2103 

2104 - `id: string`2104 - `id: string`

2105 2105 


2215 2215 

2216```http2216```http

2217curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \2217curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \

2218 -H "Authorization: Bearer $OPENAI_API_KEY"2218 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

2219```2219```

2220 2220 

2221#### Response2221#### Response


2311 2311 

2312### Returns2312### Returns

2313 2313 

2314- `ProjectAPIEy object { id, created_at, last_used_at, 4 more }`2314- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`

2315 2315 

2316 Represents an individual API key in a project.2316 Represents an individual API key in a project.

2317 2317 


2419 2419 

2420```http2420```http

2421curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \2421curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

2422 -H "Authorization: Bearer $OPENAI_API_KEY"2422 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

2423```2423```

2424 2424 

2425#### Response2425#### Response


2515```http2515```http

2516curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \2516curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

2517 -X DELETE \2517 -X DELETE \

2518 -H "Authorization: Bearer $OPENAI_API_KEY"2518 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

2519```2519```

2520 2520 

2521#### Response2521#### Response


2548 2548 

2549## Domain Types2549## Domain Types

2550 2550 

2551### Project API Ey2551### Project API Key

2552 2552 

2553- `ProjectAPIEy object { id, created_at, last_used_at, 4 more }`2553- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`

2554 2554 

2555 Represents an individual API key in a project.2555 Represents an individual API key in a project.

2556 2556 


2694 2694 

2695### Returns2695### Returns

2696 2696 

2697- `data: array of object { id, max_requests_per_1_minute, max_tokens_per_1_minute, 6 more }`2697- `data: array of ProjectRateLimit`

2698 2698 

2699 - `id: string`2699 - `id: string`

2700 2700 


2748 2748 

2749```http2749```http

2750curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/rate_limits \2750curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/rate_limits \

2751 -H "Authorization: Bearer $OPENAI_API_KEY"2751 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

2752```2752```

2753 2753 

2754#### Response2754#### Response


2844 2844 

2845### Returns2845### Returns

2846 2846 

2847- `id: string`2847- `ProjectRateLimit object { id, max_requests_per_1_minute, max_tokens_per_1_minute, 6 more }`

2848 

2849 Represents a project rate limit config.

2850 

2851 - `id: string`

2848 2852 

2849 The identifier, which can be referenced in API endpoints.2853 The identifier, which can be referenced in API endpoints.

2850 2854 

2851- `max_requests_per_1_minute: number`2855 - `max_requests_per_1_minute: number`

2852 2856 

2853 The maximum requests per minute.2857 The maximum requests per minute.

2854 2858 

2855- `max_tokens_per_1_minute: number`2859 - `max_tokens_per_1_minute: number`

2856 2860 

2857 The maximum tokens per minute.2861 The maximum tokens per minute.

2858 2862 

2859- `model: string`2863 - `model: string`

2860 2864 

2861 The model this rate limit applies to.2865 The model this rate limit applies to.

2862 2866 

2863- `object: "project.rate_limit"`2867 - `object: "project.rate_limit"`

2864 2868 

2865 The object type, which is always `project.rate_limit`2869 The object type, which is always `project.rate_limit`

2866 2870 

2867 - `"project.rate_limit"`2871 - `"project.rate_limit"`

2868 2872 

2869- `batch_1_day_max_input_tokens: optional number`2873 - `batch_1_day_max_input_tokens: optional number`

2870 2874 

2871 The maximum batch input tokens per day. Only present for relevant models.2875 The maximum batch input tokens per day. Only present for relevant models.

2872 2876 

2873- `max_audio_megabytes_per_1_minute: optional number`2877 - `max_audio_megabytes_per_1_minute: optional number`

2874 2878 

2875 The maximum audio megabytes per minute. Only present for relevant models.2879 The maximum audio megabytes per minute. Only present for relevant models.

2876 2880 

2877- `max_images_per_1_minute: optional number`2881 - `max_images_per_1_minute: optional number`

2878 2882 

2879 The maximum images per minute. Only present for relevant models.2883 The maximum images per minute. Only present for relevant models.

2880 2884 

2881- `max_requests_per_1_day: optional number`2885 - `max_requests_per_1_day: optional number`

2882 2886 

2883 The maximum requests per day. Only present for relevant models.2887 The maximum requests per day. Only present for relevant models.

2884 2888 


2887```http2891```http

2888curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/rate_limits/$RATE_LIMIT_ID \2892curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/rate_limits/$RATE_LIMIT_ID \

2889 -H 'Content-Type: application/json' \2893 -H 'Content-Type: application/json' \

2890 -H "Authorization: Bearer $OPENAI_API_KEY" \2894 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

2891 -d '{}'2895 -d '{}'

2892```2896```

2893 2897 


2933 2937 

2934## Domain Types2938## Domain Types

2935 2939 

2936### Rate Limit List Rate Limits Response2940### Project Rate Limit

2937 

2938- `RateLimitListRateLimitsResponse object { id, max_requests_per_1_minute, max_tokens_per_1_minute, 6 more }`

2939 

2940 Represents a project rate limit config.

2941 

2942 - `id: string`

2943 

2944 The identifier, which can be referenced in API endpoints.

2945 

2946 - `max_requests_per_1_minute: number`

2947 

2948 The maximum requests per minute.

2949 

2950 - `max_tokens_per_1_minute: number`

2951 

2952 The maximum tokens per minute.

2953 

2954 - `model: string`

2955 

2956 The model this rate limit applies to.

2957 

2958 - `object: "project.rate_limit"`

2959 

2960 The object type, which is always `project.rate_limit`

2961 

2962 - `"project.rate_limit"`

2963 

2964 - `batch_1_day_max_input_tokens: optional number`

2965 

2966 The maximum batch input tokens per day. Only present for relevant models.

2967 

2968 - `max_audio_megabytes_per_1_minute: optional number`

2969 

2970 The maximum audio megabytes per minute. Only present for relevant models.

2971 

2972 - `max_images_per_1_minute: optional number`

2973 

2974 The maximum images per minute. Only present for relevant models.

2975 

2976 - `max_requests_per_1_day: optional number`

2977 

2978 The maximum requests per day. Only present for relevant models.

2979 

2980### Rate Limit Update Rate Limit Response

2981 2941 

2982- `RateLimitUpdateRateLimitResponse object { id, max_requests_per_1_minute, max_tokens_per_1_minute, 6 more }`2942- `ProjectRateLimit object { id, max_requests_per_1_minute, max_tokens_per_1_minute, 6 more }`

2983 2943 

2984 Represents a project rate limit config.2944 Represents a project rate limit config.

2985 2945 


3053 3013 

3054### Returns3014### Returns

3055 3015 

3056- `data: array of object { created_at, group_id, group_name, 2 more }`3016- `data: array of ProjectGroup`

3057 3017 

3058 Project group memberships returned in the current page.3018 Project group memberships returned in the current page.

3059 3019 


3097 3057 

3098```http3058```http

3099curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \3059curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \

3100 -H "Authorization: Bearer $OPENAI_API_KEY"3060 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

3101```3061```

3102 3062 

3103#### Response3063#### Response


3168 3128 

3169### Returns3129### Returns

3170 3130 

3171- `created_at: number`3131- `ProjectGroup object { created_at, group_id, group_name, 2 more }`

3132 

3133 Details about a group's membership in a project.

3134 

3135 - `created_at: number`

3172 3136 

3173 Unix timestamp (in seconds) when the group was granted project access.3137 Unix timestamp (in seconds) when the group was granted project access.

3174 3138 

3175- `group_id: string`3139 - `group_id: string`

3176 3140 

3177 Identifier of the group that has access to the project.3141 Identifier of the group that has access to the project.

3178 3142 

3179- `group_name: string`3143 - `group_name: string`

3180 3144 

3181 Display name of the group.3145 Display name of the group.

3182 3146 

3183- `object: "project.group"`3147 - `object: "project.group"`

3184 3148 

3185 Always `project.group`.3149 Always `project.group`.

3186 3150 

3187 - `"project.group"`3151 - `"project.group"`

3188 3152 

3189- `project_id: string`3153 - `project_id: string`

3190 3154 

3191 Identifier of the project.3155 Identifier of the project.

3192 3156 


3195```http3159```http

3196curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \3160curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \

3197 -H 'Content-Type: application/json' \3161 -H 'Content-Type: application/json' \

3198 -H "Authorization: Bearer $OPENAI_API_KEY" \3162 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

3199 -d '{3163 -d '{

3200 "group_id": "group_id",3164 "group_id": "group_id",

3201 "role": "role"3165 "role": "role"


3267```http3231```http

3268curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups/$GROUP_ID \3232curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups/$GROUP_ID \

3269 -X DELETE \3233 -X DELETE \

3270 -H "Authorization: Bearer $OPENAI_API_KEY"3234 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

3271```3235```

3272 3236 

3273#### Response3237#### Response


3298 3262 

3299## Domain Types3263## Domain Types

3300 3264 

3301### Group List Response3265### Project Group

3302 3266 

3303- `GroupListResponse object { created_at, group_id, group_name, 2 more }`3267- `ProjectGroup object { created_at, group_id, group_name, 2 more }`

3304 

3305 Details about a group's membership in a project.

3306 

3307 - `created_at: number`

3308 

3309 Unix timestamp (in seconds) when the group was granted project access.

3310 

3311 - `group_id: string`

3312 

3313 Identifier of the group that has access to the project.

3314 

3315 - `group_name: string`

3316 

3317 Display name of the group.

3318 

3319 - `object: "project.group"`

3320 

3321 Always `project.group`.

3322 

3323 - `"project.group"`

3324 

3325 - `project_id: string`

3326 

3327 Identifier of the project.

3328 

3329### Group Create Response

3330 

3331- `GroupCreateResponse object { created_at, group_id, group_name, 2 more }`

3332 3268 

3333 Details about a group's membership in a project.3269 Details about a group's membership in a project.

3334 3270 


3470 3406 

3471```http3407```http

3472curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \3408curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \

3473 -H "Authorization: Bearer $OPENAI_API_KEY"3409 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

3474```3410```

3475 3411 

3476#### Response3412#### Response


3596 3532 

3597 - `"group.role"`3533 - `"group.role"`

3598 3534 

3599- `role: object { id, description, name, 4 more }`3535- `role: Role`

3600 3536 

3601 Details about a role that can be assigned through the public Roles API.3537 Details about a role that can be assigned through the public Roles API.

3602 3538 


3635```http3571```http

3636curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \3572curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \

3637 -H 'Content-Type: application/json' \3573 -H 'Content-Type: application/json' \

3638 -H "Authorization: Bearer $OPENAI_API_KEY" \3574 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

3639 -d '{3575 -d '{

3640 "role_id": "role_id"3576 "role_id": "role_id"

3641 }'3577 }'


3734```http3670```http

3735curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles/$ROLE_ID \3671curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles/$ROLE_ID \

3736 -X DELETE \3672 -X DELETE \

3737 -H "Authorization: Bearer $OPENAI_API_KEY"3673 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

3738```3674```

3739 3675 

3740#### Response3676#### Response


3853 3789 

3854 - `"group.role"`3790 - `"group.role"`

3855 3791 

3856 - `role: object { id, description, name, 4 more }`3792 - `role: Role`

3857 3793 

3858 Details about a role that can be assigned through the public Roles API.3794 Details about a role that can be assigned through the public Roles API.

3859 3795 


3933 3869 

3934### Returns3870### Returns

3935 3871 

3936- `data: array of object { id, description, name, 4 more }`3872- `data: array of Role`

3937 3873 

3938 Roles returned in the current page.3874 Roles returned in the current page.

3939 3875 


3985 3921 

3986```http3922```http

3987curl https://api.openai.com/v1/projects/$PROJECT_ID/roles \3923curl https://api.openai.com/v1/projects/$PROJECT_ID/roles \

3988 -H "Authorization: Bearer $OPENAI_API_KEY"3924 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

3989```3925```

3990 3926 

3991#### Response3927#### Response


4069 4005 

4070### Returns4006### Returns

4071 4007 

4072- `id: string`4008- `Role object { id, description, name, 4 more }`

4009 

4010 Details about a role that can be assigned through the public Roles API.

4011 

4012 - `id: string`

4073 4013 

4074 Identifier for the role.4014 Identifier for the role.

4075 4015 

4076- `description: string`4016 - `description: string`

4077 4017 

4078 Optional description of the role.4018 Optional description of the role.

4079 4019 

4080- `name: string`4020 - `name: string`

4081 4021 

4082 Unique name for the role.4022 Unique name for the role.

4083 4023 

4084- `object: "role"`4024 - `object: "role"`

4085 4025 

4086 Always `role`.4026 Always `role`.

4087 4027 

4088 - `"role"`4028 - `"role"`

4089 4029 

4090- `permissions: array of string`4030 - `permissions: array of string`

4091 4031 

4092 Permissions granted by the role.4032 Permissions granted by the role.

4093 4033 

4094- `predefined_role: boolean`4034 - `predefined_role: boolean`

4095 4035 

4096 Whether the role is predefined and managed by OpenAI.4036 Whether the role is predefined and managed by OpenAI.

4097 4037 

4098- `resource_type: string`4038 - `resource_type: string`

4099 4039 

4100 Resource type the role is bound to (for example `api.organization` or `api.project`).4040 Resource type the role is bound to (for example `api.organization` or `api.project`).

4101 4041 


4104```http4044```http

4105curl https://api.openai.com/v1/projects/$PROJECT_ID/roles \4045curl https://api.openai.com/v1/projects/$PROJECT_ID/roles \

4106 -H 'Content-Type: application/json' \4046 -H 'Content-Type: application/json' \

4107 -H "Authorization: Bearer $OPENAI_API_KEY" \4047 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

4108 -d '{4048 -d '{

4109 "permissions": [4049 "permissions": [

4110 "string"4050 "string"


4190 4130 

4191### Returns4131### Returns

4192 4132 

4193- `id: string`4133- `Role object { id, description, name, 4 more }`

4134 

4135 Details about a role that can be assigned through the public Roles API.

4136 

4137 - `id: string`

4194 4138 

4195 Identifier for the role.4139 Identifier for the role.

4196 4140 

4197- `description: string`4141 - `description: string`

4198 4142 

4199 Optional description of the role.4143 Optional description of the role.

4200 4144 

4201- `name: string`4145 - `name: string`

4202 4146 

4203 Unique name for the role.4147 Unique name for the role.

4204 4148 

4205- `object: "role"`4149 - `object: "role"`

4206 4150 

4207 Always `role`.4151 Always `role`.

4208 4152 

4209 - `"role"`4153 - `"role"`

4210 4154 

4211- `permissions: array of string`4155 - `permissions: array of string`

4212 4156 

4213 Permissions granted by the role.4157 Permissions granted by the role.

4214 4158 

4215- `predefined_role: boolean`4159 - `predefined_role: boolean`

4216 4160 

4217 Whether the role is predefined and managed by OpenAI.4161 Whether the role is predefined and managed by OpenAI.

4218 4162 

4219- `resource_type: string`4163 - `resource_type: string`

4220 4164 

4221 Resource type the role is bound to (for example `api.organization` or `api.project`).4165 Resource type the role is bound to (for example `api.organization` or `api.project`).

4222 4166 


4225```http4169```http

4226curl https://api.openai.com/v1/projects/$PROJECT_ID/roles/$ROLE_ID \4170curl https://api.openai.com/v1/projects/$PROJECT_ID/roles/$ROLE_ID \

4227 -H 'Content-Type: application/json' \4171 -H 'Content-Type: application/json' \

4228 -H "Authorization: Bearer $OPENAI_API_KEY" \4172 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

4229 -d '{}'4173 -d '{}'

4230```4174```

4231 4175 


4311```http4255```http

4312curl https://api.openai.com/v1/projects/$PROJECT_ID/roles/$ROLE_ID \4256curl https://api.openai.com/v1/projects/$PROJECT_ID/roles/$ROLE_ID \

4313 -X DELETE \4257 -X DELETE \

4314 -H "Authorization: Bearer $OPENAI_API_KEY"4258 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

4315```4259```

4316 4260 

4317#### Response4261#### Response


4344 4288 

4345## Domain Types4289## Domain Types

4346 4290 

4347### Role List Response

4348 

4349- `RoleListResponse object { id, description, name, 4 more }`

4350 

4351 Details about a role that can be assigned through the public Roles API.

4352 

4353 - `id: string`

4354 

4355 Identifier for the role.

4356 

4357 - `description: string`

4358 

4359 Optional description of the role.

4360 

4361 - `name: string`

4362 

4363 Unique name for the role.

4364 

4365 - `object: "role"`

4366 

4367 Always `role`.

4368 

4369 - `"role"`

4370 

4371 - `permissions: array of string`

4372 

4373 Permissions granted by the role.

4374 

4375 - `predefined_role: boolean`

4376 

4377 Whether the role is predefined and managed by OpenAI.

4378 

4379 - `resource_type: string`

4380 

4381 Resource type the role is bound to (for example `api.organization` or `api.project`).

4382 

4383### Role Create Response

4384 

4385- `RoleCreateResponse object { id, description, name, 4 more }`

4386 

4387 Details about a role that can be assigned through the public Roles API.

4388 

4389 - `id: string`

4390 

4391 Identifier for the role.

4392 

4393 - `description: string`

4394 

4395 Optional description of the role.

4396 

4397 - `name: string`

4398 

4399 Unique name for the role.

4400 

4401 - `object: "role"`

4402 

4403 Always `role`.

4404 

4405 - `"role"`

4406 

4407 - `permissions: array of string`

4408 

4409 Permissions granted by the role.

4410 

4411 - `predefined_role: boolean`

4412 

4413 Whether the role is predefined and managed by OpenAI.

4414 

4415 - `resource_type: string`

4416 

4417 Resource type the role is bound to (for example `api.organization` or `api.project`).

4418 

4419### Role Update Response

4420 

4421- `RoleUpdateResponse object { id, description, name, 4 more }`

4422 

4423 Details about a role that can be assigned through the public Roles API.

4424 

4425 - `id: string`

4426 

4427 Identifier for the role.

4428 

4429 - `description: string`

4430 

4431 Optional description of the role.

4432 

4433 - `name: string`

4434 

4435 Unique name for the role.

4436 

4437 - `object: "role"`

4438 

4439 Always `role`.

4440 

4441 - `"role"`

4442 

4443 - `permissions: array of string`

4444 

4445 Permissions granted by the role.

4446 

4447 - `predefined_role: boolean`

4448 

4449 Whether the role is predefined and managed by OpenAI.

4450 

4451 - `resource_type: string`

4452 

4453 Resource type the role is bound to (for example `api.organization` or `api.project`).

4454 

4455### Role Delete Response4291### Role Delete Response

4456 4292 

4457- `RoleDeleteResponse object { id, deleted, object }`4293- `RoleDeleteResponse object { id, deleted, object }`


4504 4340 

4505### Returns4341### Returns

4506 4342 

4507- `data: array of object { id, certificate_details, created_at, 3 more }`4343- `data: array of Certificate`

4508 4344 

4509 - `id: string`4345 - `id: string`

4510 4346 


4564 4400 

4565```http4401```http

4566curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates \4402curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates \

4567 -H "Authorization: Bearer $OPENAI_API_KEY"4403 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

4568```4404```

4569 4405 

4570#### Response4406#### Response


4641 4477 

4642### Returns4478### Returns

4643 4479 

4644- `data: array of object { id, certificate_details, created_at, 3 more }`4480- `data: array of Certificate`

4645 4481 

4646 - `id: string`4482 - `id: string`

4647 4483 


4702```http4538```http

4703curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates/activate \4539curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates/activate \

4704 -H 'Content-Type: application/json' \4540 -H 'Content-Type: application/json' \

4705 -H "Authorization: Bearer $OPENAI_API_KEY" \4541 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

4706 -d '{4542 -d '{

4707 "certificate_ids": [4543 "certificate_ids": [

4708 "cert_abc"4544 "cert_abc"


4795 4631 

4796### Returns4632### Returns

4797 4633 

4798- `data: array of object { id, certificate_details, created_at, 3 more }`4634- `data: array of Certificate`

4799 4635 

4800 - `id: string`4636 - `id: string`

4801 4637 


4856```http4692```http

4857curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates/deactivate \4693curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/certificates/deactivate \

4858 -H 'Content-Type: application/json' \4694 -H 'Content-Type: application/json' \

4859 -H "Authorization: Bearer $OPENAI_API_KEY" \4695 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

4860 -d '{4696 -d '{

4861 "certificate_ids": [4697 "certificate_ids": [

4862 "cert_abc"4698 "cert_abc"


4931 ],4767 ],

4932}4768}

4933```4769```

4934 

4935## Domain Types

4936 

4937### Certificate List Response

4938 

4939- `CertificateListResponse object { id, certificate_details, created_at, 3 more }`

4940 

4941 Represents an individual `certificate` uploaded to the organization.

4942 

4943 - `id: string`

4944 

4945 The identifier, which can be referenced in API endpoints

4946 

4947 - `certificate_details: object { content, expires_at, valid_at }`

4948 

4949 - `content: optional string`

4950 

4951 The content of the certificate in PEM format.

4952 

4953 - `expires_at: optional number`

4954 

4955 The Unix timestamp (in seconds) of when the certificate expires.

4956 

4957 - `valid_at: optional number`

4958 

4959 The Unix timestamp (in seconds) of when the certificate becomes valid.

4960 

4961 - `created_at: number`

4962 

4963 The Unix timestamp (in seconds) of when the certificate was uploaded.

4964 

4965 - `name: string`

4966 

4967 The name of the certificate.

4968 

4969 - `object: "certificate" or "organization.certificate" or "organization.project.certificate"`

4970 

4971 The object type.

4972 

4973 - If creating, updating, or getting a specific certificate, the object type is `certificate`.

4974 - If listing, activating, or deactivating certificates for the organization, the object type is `organization.certificate`.

4975 - If listing, activating, or deactivating certificates for a project, the object type is `organization.project.certificate`.

4976 

4977 - `"certificate"`

4978 

4979 - `"organization.certificate"`

4980 

4981 - `"organization.project.certificate"`

4982 

4983 - `active: optional boolean`

4984 

4985 Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.

4986 

4987### Certificate Activate Response

4988 

4989- `CertificateActivateResponse object { id, certificate_details, created_at, 3 more }`

4990 

4991 Represents an individual `certificate` uploaded to the organization.

4992 

4993 - `id: string`

4994 

4995 The identifier, which can be referenced in API endpoints

4996 

4997 - `certificate_details: object { content, expires_at, valid_at }`

4998 

4999 - `content: optional string`

5000 

5001 The content of the certificate in PEM format.

5002 

5003 - `expires_at: optional number`

5004 

5005 The Unix timestamp (in seconds) of when the certificate expires.

5006 

5007 - `valid_at: optional number`

5008 

5009 The Unix timestamp (in seconds) of when the certificate becomes valid.

5010 

5011 - `created_at: number`

5012 

5013 The Unix timestamp (in seconds) of when the certificate was uploaded.

5014 

5015 - `name: string`

5016 

5017 The name of the certificate.

5018 

5019 - `object: "certificate" or "organization.certificate" or "organization.project.certificate"`

5020 

5021 The object type.

5022 

5023 - If creating, updating, or getting a specific certificate, the object type is `certificate`.

5024 - If listing, activating, or deactivating certificates for the organization, the object type is `organization.certificate`.

5025 - If listing, activating, or deactivating certificates for a project, the object type is `organization.project.certificate`.

5026 

5027 - `"certificate"`

5028 

5029 - `"organization.certificate"`

5030 

5031 - `"organization.project.certificate"`

5032 

5033 - `active: optional boolean`

5034 

5035 Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.

5036 

5037### Certificate Deactivate Response

5038 

5039- `CertificateDeactivateResponse object { id, certificate_details, created_at, 3 more }`

5040 

5041 Represents an individual `certificate` uploaded to the organization.

5042 

5043 - `id: string`

5044 

5045 The identifier, which can be referenced in API endpoints

5046 

5047 - `certificate_details: object { content, expires_at, valid_at }`

5048 

5049 - `content: optional string`

5050 

5051 The content of the certificate in PEM format.

5052 

5053 - `expires_at: optional number`

5054 

5055 The Unix timestamp (in seconds) of when the certificate expires.

5056 

5057 - `valid_at: optional number`

5058 

5059 The Unix timestamp (in seconds) of when the certificate becomes valid.

5060 

5061 - `created_at: number`

5062 

5063 The Unix timestamp (in seconds) of when the certificate was uploaded.

5064 

5065 - `name: string`

5066 

5067 The name of the certificate.

5068 

5069 - `object: "certificate" or "organization.certificate" or "organization.project.certificate"`

5070 

5071 The object type.

5072 

5073 - If creating, updating, or getting a specific certificate, the object type is `certificate`.

5074 - If listing, activating, or deactivating certificates for the organization, the object type is `organization.certificate`.

5075 - If listing, activating, or deactivating certificates for a project, the object type is `organization.project.certificate`.

5076 

5077 - `"certificate"`

5078 

5079 - `"organization.certificate"`

5080 

5081 - `"organization.project.certificate"`

5082 

5083 - `active: optional boolean`

5084 

5085 Whether the certificate is currently active at the specified scope. Not returned when getting details for a specific certificate.

Details

Previously: resources/organization/subresources/projects/methods/create/index.md

71```http71```http

72curl https://api.openai.com/v1/organization/projects \72curl https://api.openai.com/v1/organization/projects \

73 -H 'Content-Type: application/json' \73 -H 'Content-Type: application/json' \

74 -H "Authorization: Bearer $OPENAI_API_KEY" \74 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

75 -d '{75 -d '{

76 "name": "name"76 "name": "name"

77 }'77 }'

Details

Previously: resources/organization/subresources/projects/methods/retrieve/index.md

48 48 

49```http49```http

50curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \50curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \

51 -H "Authorization: Bearer $OPENAI_API_KEY"51 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

52```52```

53 53 

54#### Response54#### Response

Details

Previously: resources/organization/subresources/projects/methods/update/index.md

55```http55```http

56curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \56curl https://api.openai.com/v1/organization/projects/$PROJECT_ID \

57 -H 'Content-Type: application/json' \57 -H 'Content-Type: application/json' \

58 -H "Authorization: Bearer $OPENAI_API_KEY" \58 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

59 -d '{59 -d '{

60 "name": "name"60 "name": "name"

61 }'61 }'

Details

Previously: resources/organization/subresources/projects/subresources/api_keys/index.md

22 22 

23### Returns23### Returns

24 24 

25- `data: array of ProjectAPIEy`25- `data: array of ProjectAPIKey`

26 26 

27 - `id: string`27 - `id: string`

28 28 


138 138 

139```http139```http

140curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \140curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \

141 -H "Authorization: Bearer $OPENAI_API_KEY"141 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

142```142```

143 143 

144#### Response144#### Response


234 234 

235### Returns235### Returns

236 236 

237- `ProjectAPIEy object { id, created_at, last_used_at, 4 more }`237- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`

238 238 

239 Represents an individual API key in a project.239 Represents an individual API key in a project.

240 240 


342 342 

343```http343```http

344curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \344curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

345 -H "Authorization: Bearer $OPENAI_API_KEY"345 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

346```346```

347 347 

348#### Response348#### Response


438```http438```http

439curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \439curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

440 -X DELETE \440 -X DELETE \

441 -H "Authorization: Bearer $OPENAI_API_KEY"441 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

442```442```

443 443 

444#### Response444#### Response


471 471 

472## Domain Types472## Domain Types

473 473 

474### Project API Ey474### Project API Key

475 475 

476- `ProjectAPIEy object { id, created_at, last_used_at, 4 more }`476- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`

477 477 

478 Represents an individual API key in a project.478 Represents an individual API key in a project.

479 479 

Details

Previously: resources/organization/subresources/projects/subresources/api_keys/methods/delete/index.md

28```http28```http

29curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \29curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

30 -X DELETE \30 -X DELETE \

31 -H "Authorization: Bearer $OPENAI_API_KEY"31 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

32```32```

33 33 

34#### Response34#### Response

Details

Previously: resources/organization/subresources/projects/subresources/api_keys/methods/list/index.md

20 20 

21### Returns21### Returns

22 22 

23- `data: array of ProjectAPIEy`23- `data: array of ProjectAPIKey`

24 24 

25 - `id: string`25 - `id: string`

26 26 


136 136 

137```http137```http

138curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \138curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys \

139 -H "Authorization: Bearer $OPENAI_API_KEY"139 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

140```140```

141 141 

142#### Response142#### Response

Details

Previously: resources/organization/subresources/projects/subresources/api_keys/methods/retrieve/index.md

12 12 

13### Returns13### Returns

14 14 

15- `ProjectAPIEy object { id, created_at, last_used_at, 4 more }`15- `ProjectAPIKey object { id, created_at, last_used_at, 4 more }`

16 16 

17 Represents an individual API key in a project.17 Represents an individual API key in a project.

18 18 


120 120 

121```http121```http

122curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \122curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/api_keys/$KEY_ID \

123 -H "Authorization: Bearer $OPENAI_API_KEY"123 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

124```124```

125 125 

126#### Response126#### Response

Details

Previously: resources/organization/subresources/projects/subresources/groups/index.md

30 30 

31### Returns31### Returns

32 32 

33- `data: array of object { created_at, group_id, group_name, 2 more }`33- `data: array of ProjectGroup`

34 34 

35 Project group memberships returned in the current page.35 Project group memberships returned in the current page.

36 36 


74 74 

75```http75```http

76curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \76curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \

77 -H "Authorization: Bearer $OPENAI_API_KEY"77 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

78```78```

79 79 

80#### Response80#### Response


145 145 

146### Returns146### Returns

147 147 

148- `created_at: number`148- `ProjectGroup object { created_at, group_id, group_name, 2 more }`

149 

150 Details about a group's membership in a project.

151 

152 - `created_at: number`

149 153 

150 Unix timestamp (in seconds) when the group was granted project access.154 Unix timestamp (in seconds) when the group was granted project access.

151 155 

152- `group_id: string`156 - `group_id: string`

153 157 

154 Identifier of the group that has access to the project.158 Identifier of the group that has access to the project.

155 159 

156- `group_name: string`160 - `group_name: string`

157 161 

158 Display name of the group.162 Display name of the group.

159 163 

160- `object: "project.group"`164 - `object: "project.group"`

161 165 

162 Always `project.group`.166 Always `project.group`.

163 167 

164 - `"project.group"`168 - `"project.group"`

165 169 

166- `project_id: string`170 - `project_id: string`

167 171 

168 Identifier of the project.172 Identifier of the project.

169 173 


172```http176```http

173curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \177curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups \

174 -H 'Content-Type: application/json' \178 -H 'Content-Type: application/json' \

175 -H "Authorization: Bearer $OPENAI_API_KEY" \179 -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \

176 -d '{180 -d '{

177 "group_id": "group_id",181 "group_id": "group_id",

178 "role": "role"182 "role": "role"


244```http248```http

245curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups/$GROUP_ID \249curl https://api.openai.com/v1/organization/projects/$PROJECT_ID/groups/$GROUP_ID \

246 -X DELETE \250 -X DELETE \

247 -H "Authorization: Bearer $OPENAI_API_KEY"251 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

248```252```

249 253 

250#### Response254#### Response


275 279 

276## Domain Types280## Domain Types

277 281 

278### Group List Response282### Project Group

279 

280- `GroupListResponse object { created_at, group_id, group_name, 2 more }`

281 

282 Details about a group's membership in a project.

283 

284 - `created_at: number`

285 

286 Unix timestamp (in seconds) when the group was granted project access.

287 

288 - `group_id: string`

289 

290 Identifier of the group that has access to the project.

291 

292 - `group_name: string`

293 283 

294 Display name of the group.284- `ProjectGroup object { created_at, group_id, group_name, 2 more }`

295 

296 - `object: "project.group"`

297 

298 Always `project.group`.

299 

300 - `"project.group"`

301 

302 - `project_id: string`

303 

304 Identifier of the project.

305 

306### Group Create Response

307 

308- `GroupCreateResponse object { created_at, group_id, group_name, 2 more }`

309 285 

310 Details about a group's membership in a project.286 Details about a group's membership in a project.

311 287 


447 423 

448```http424```http

449curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \425curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \

450 -H "Authorization: Bearer $OPENAI_API_KEY"426 -H "Authorization: Bearer $OPENAI_ADMIN_KEY"

451```427```

452 428 

453#### Response429#### Response


573 549 

574 - `"group.role"`550 - `"group.role"`

575 551 

576- `role: object { id, description, name, 4 more }`552- `role: Role`

577 553 

578 Details about a role that can be assigned through the public Roles API.554 Details about a role that can be assigned through the public Roles API.

579 555 


612```http588```http

613curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \589curl https://api.openai.com/v1/projects/$PROJECT_ID/groups/$GROUP_ID/roles \

[...]
